db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rick Hillegas <rick.hille...@gmail.com>
Subject Re: 10.15 testing question
Date Sat, 09 Feb 2019 16:45:16 GMT
Hey Bryan,

Just want to confirm that you can upgrade to 10.15.1.3 WITHOUT that 
flag. I can upgrade old databases without setting the flag. If you 
can't, then I'd be interested in understanding the experiment you are 
running: clearly something would have to be wrong.

In any event, here's the property which disables the "don't upgrade to 
an alpha version database" behavior:

   -Dderby.database.allowPreReleaseUpgrade=true


Hope I understood your question correctly.

Thanks,
-Rick



On 2/8/19 5:49 PM, Bryan Pendleton wrote:
> Hi Rick,
>
> The last test that I want to run on the 10.15 release is to try
> upgrading a couple of relatively old databases that I happen to have
> hanging around.
>
> But I keep bumping into that restriction check that disallows
> upgrading to a non-production release.
>
> Can you remind me how I work around this in order to test the upgrade
> with the release candidate?
>
> thanks,
>
> bryan
>


Mime
View raw message